Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

# Class ActiveOrHistoricCurrencyAndAmountRange2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_07.ActiveOrHistoricCurrencyAndAmountRange2

public class ActiveOrHistoricCurrencyAndAmountRange2 extends Object

Java class for ActiveOrHistoricCurrencyAndAmountRange2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ActiveOrHistoricCurrencyAndAmountRange2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ImpliedCurrencyAmountRange1Choice"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CreditDebitCode" minOccurs="0"/>
             <element name="Ccy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyCode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ImpliedCurrencyAmountRange1Choice`
`amt`
`protected String`
`ccy`
`protected CreditDebitCode`
`cdtDbtInd`

## Constructor Summary

Constructors
Constructor
Description
`ActiveOrHistoricCurrencyAndAmountRange2()`

## Method Summary

Modifier and Type
Method
Description
`ImpliedCurrencyAmountRange1Choice`
`getAmt()`
Gets the value of the amt property.
`String`
`getCcy()`
Gets the value of the ccy property.
`CreditDebitCode`
`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`void`
`setAmt(ImpliedCurrencyAmountRange1Choice value)`
Sets the value of the amt property.
`void`
`setCcy(String value)`
Sets the value of the ccy property.
`void`
`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### amt

protected ImpliedCurrencyAmountRange1Choice amt

### cdtDbtInd

protected CreditDebitCode cdtDbtInd

### ccy

protected String ccy

## Constructor Details

### ActiveOrHistoricCurrencyAndAmountRange2

public ActiveOrHistoricCurrencyAndAmountRange2()

## Method Details

### getAmt

public ImpliedCurrencyAmountRange1Choice getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ImpliedCurrencyAmountRange1Choice`

### setAmt

public void setAmt(ImpliedCurrencyAmountRange1Choice value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ImpliedCurrencyAmountRange1Choice`

### getCdtDbtInd

public CreditDebitCode getCdtDbtInd()
Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

### setCdtDbtInd

public void setCdtDbtInd(CreditDebitCode value)
Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

### getCcy

public String getCcy()
Gets the value of the ccy property.

Returns:
  possible object is `String`

### setCcy

public void setCcy(String value)
Sets the value of the ccy property.

Parameters:
  `value` - allowed object is `String`